<script context="module" lang="ts">
	import type { Load } from '@sveltejs/kit';
	// see https://kit.svelte.dev/docs#loading
	const API_URL = (import.meta as any).env.VITE_API_HOST;

	export const load: Load = async ({ fetch, session }) => {
		// console.log('page.params', page.params['room']);

		// const resp = await fetch(`/api/room-map`);
		// const report = await fetch(`/api/report-today`);

		if (true) {
			// const body = await resp.json();
			// const reportOnDay = await report.json();
			return {
				props: {
					roomMap: [],
					reportOnDay: []
				}
			};
		}

		return {
			status: 500,
			error: new Error(`Could not load`)
		};
	};
</script>

<script lang="ts">
	export let roomMap: {};

	import Dashboard from '$lib/components/Dashboard/Dashboard.svelte';
	import Footer from '$lib/components/Footer/Footer.svelte';
	import { goto, invalidate, prefetch, prefetchRoutes } from '$app/navigation';
	import { getStores, navigating, page, session } from '$app/stores';
	import { base, assets } from '$app/paths';
	import { onMount } from 'svelte';
	import AlertMessage from '$lib/utils/AlertMessage';
	import { convertTimeTh } from '$lib/utils/ConverTime/convert-th';
	import { browser } from '$app/env';

	let showNav = false;

	onMount(async () => {
		setTimeout(() => {
			showNav = true;
		}, 2000);
	});
</script>

<div class="dark:bg-gray-800 bg-white">
	<Dashboard />
	{#key showNav}
		<Footer />
	{/key}
</div>
